# Create a BGP speaker
# POST  /bgp-speakers
# Intended scope(s): project
#"create_bgp_speaker": "rule:admin_only"

# DEPRECATED
# "create_bgp_speaker":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "create_bgp_speaker":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Update a BGP speaker
# PUT  /bgp-speakers/{id}
# Intended scope(s): project
#"update_bgp_speaker": "rule:admin_only"

# DEPRECATED
# "update_bgp_speaker":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "update_bgp_speaker":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Delete a BGP speaker
# DELETE  /bgp-speakers/{id}
# Intended scope(s): project
#"delete_bgp_speaker": "rule:admin_only"

# DEPRECATED
# "delete_bgp_speaker":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "delete_bgp_speaker":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Get BGP speakers
# GET  /bgp-speakers
# GET  /bgp-speakers/{id}
# Intended scope(s): project
#"get_bgp_speaker": "rule:admin_only"

# DEPRECATED
# "get_bgp_speaker":"rule:admin_only" has been deprecated since 2026.1
# in favor of "get_bgp_speaker":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Add a BGP peer to a BGP speaker
# PUT  /bgp-speakers/{id}/add_bgp_peer
# Intended scope(s): project
#"add_bgp_peer": "rule:admin_only"

# DEPRECATED
# "add_bgp_peer":"rule:admin_only" has been deprecated since 2026.1 in
# favor of "add_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Remove a BGP peer from a BGP speaker
# PUT  /bgp-speakers/{id}/remove_bgp_peer
# Intended scope(s): project
#"remove_bgp_peer": "rule:admin_only"

# DEPRECATED
# "remove_bgp_peer":"rule:admin_only" has been deprecated since 2026.1
# in favor of "remove_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Add a gateway network to a BGP speaker
# PUT  /bgp-speakers/{id}/add_gateway_network
# Intended scope(s): project
#"add_gateway_network": "rule:admin_only"

# DEPRECATED
# "add_gateway_network":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "add_gateway_network":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Remove a gateway network from a BGP speaker
# PUT  /bgp-speakers/{id}/remove_gateway_network
# Intended scope(s): project
#"remove_gateway_network": "rule:admin_only"

# DEPRECATED
# "remove_gateway_network":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "remove_gateway_network":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Get advertised routes of a BGP speaker
# GET  /bgp-speakers/{id}/get_advertised_routes
# Intended scope(s): project
#"get_advertised_routes": "rule:admin_only"

# DEPRECATED
# "get_advertised_routes":"rule:admin_only" has been deprecated since
# 2026.1 in favor of "get_advertised_routes":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Create a BGP peer
# POST  /bgp-peers
# Intended scope(s): project
#"create_bgp_peer": "rule:admin_only"

# DEPRECATED
# "create_bgp_peer":"rule:admin_only" has been deprecated since 2026.1
# in favor of "create_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Update a BGP peer
# PUT  /bgp-peers/{id}
# Intended scope(s): project
#"update_bgp_peer": "rule:admin_only"

# DEPRECATED
# "update_bgp_peer":"rule:admin_only" has been deprecated since 2026.1
# in favor of "update_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Delete a BGP peer
# DELETE  /bgp-peers/{id}
# Intended scope(s): project
#"delete_bgp_peer": "rule:admin_only"

# DEPRECATED
# "delete_bgp_peer":"rule:admin_only" has been deprecated since 2026.1
# in favor of "delete_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Get BGP peers
# GET  /bgp-peers
# GET  /bgp-peers/{id}
# Intended scope(s): project
#"get_bgp_peer": "rule:admin_only"

# DEPRECATED
# "get_bgp_peer":"rule:admin_only" has been deprecated since 2026.1 in
# favor of "get_bgp_peer":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Add a BGP speaker to a dynamic routing agent
# POST  /agents/{agent_id}/bgp-drinstances
# Intended scope(s): project
#"add_bgp_speaker_to_dragent": "rule:admin_only"

# DEPRECATED
# "add_bgp_speaker_to_dragent":"rule:admin_only" has been deprecated
# since 2026.1 in favor of
# "add_bgp_speaker_to_dragent":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# Remove a BGP speaker from a dynamic routing agent
# DELETE  /agents/{agent_id}/bgp-drinstances/{bgp_speaker_id}
# Intended scope(s): project
#"remove_bgp_speaker_from_dragent": "rule:admin_only"

# DEPRECATED
# "remove_bgp_speaker_from_dragent":"rule:admin_only" has been
# deprecated since 2026.1 in favor of
# "remove_bgp_speaker_from_dragent":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# List BGP speakers hosted by a dynamic routing agent
# GET  /agents/{agent_id}/bgp-drinstances
# Intended scope(s): project
#"list_bgp_speaker_on_dragent": "rule:admin_only"

# DEPRECATED
# "list_bgp_speaker_on_dragent":"rule:admin_only" has been deprecated
# since 2026.1 in favor of
# "list_bgp_speaker_on_dragent":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

# List dynamic routing agents hosting a BGP speaker
# GET  /bgp-speakers/{bgp_speaker_id}/bgp-dragents
# Intended scope(s): project
#"list_dragent_hosting_bgp_speaker": "rule:admin_only"

# DEPRECATED
# "list_dragent_hosting_bgp_speaker":"rule:admin_only" has been
# deprecated since 2026.1 in favor of
# "list_dragent_hosting_bgp_speaker":"rule:admin_only".
# The neutron-dynamic-routing BGP API now supports Secure RBAC default
# roles.

